Package Details: mpv-mpris 0.5-4

Git Clone URL: https://aur.archlinux.org/mpv-mpris.git (read-only, click to copy)
Package Base: mpv-mpris
Description: MPRIS (Media Player Remote Interface Spec) plugin for mpv
Upstream URL: https://github.com/hoyon/mpv-mpris
Licenses: MIT
Submitter: majewsky
Maintainer: majewsky
Last Packager: majewsky
Votes: 53
Popularity: 2.22
First Submitted: 2017-08-20 21:39
Last Updated: 2020-05-03 00:21

Pinned Comments

majewsky commented on 2020-05-03 00:27

0.5-4 fixes the syntax error in the install script.

As for the autoload-or-not discussion, there's plenty of plugin packages in the repos that are automatically loaded once installed (e.g. all the vim-* packages), because the respective applications look for plugins in /usr. mpv does it the other way with /etc. So it's not as clear-cut as in the case of systemd services, which are never auto-enabled (except for systemd's own units).

I think at this point all arguments have been exchanged, and I'm not seeing myself changing my mind yet again soon. You can always edit the install file before building if you really disagree with this behavior.

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

viggy96 commented on 2020-01-10 01:54

You know you can directly run this command "sudo ln /usr/lib/mpv/mpris.so /etc/mpv/scripts/mpris.so" in the PKGBUILD so that users don't have to do it themselves afterwards?

jpegxguy commented on 2019-06-30 01:00

Surely the post-install instructions wouldn't be needed if we used a pacman hook or directly installed the .so in the /etc/mpv/scripts directory.

Why aren't we doing that?

holunder commented on 2019-05-15 12:49

After installing this, run: sudo ln /usr/lib/mpv/mpris.so /etc/mpv/scripts/mpris.so

zsrkmyn commented on 2018-12-14 18:01

Installing the .so into /etc/mpv/scripts/ will make mpv auto load the script.

digitalone commented on 2018-12-04 09:35

Thanks, this script is very useful.

ainola commented on 2018-09-02 00:53

Thank you, sir!

majewsky commented on 2018-09-02 00:02

I already did when it was flagged, but I apparently forgot to push. Should be updated now.

ainola commented on 2018-09-01 23:12

Friendly poke: Will you be kind enough to update this?

FichteFoll commented on 2018-04-16 11:33

You should add a description.

degreeme commented on 2017-11-04 21:56

Oh, thank you so much, I didn't notice post-install instructions. Yes, it works!